POST gls/api/reports/trial-balance-per-book
Request Information
URI Parameters
None.
Body Parameters
TrialBalancePerBookRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| DateFrom | date |
None. |
|
| DateTo | date |
None. |
|
| IsAsOf | boolean |
None. |
|
| IsMonthly | boolean |
None. |
|
| IsGross | boolean |
None. |
|
| IsNet | boolean |
None. |
|
| OutputToScreen | boolean |
None. |
|
| OutputToPrinter | boolean |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"dateFrom": "2026-04-07T22:26:14.4610165+08:00",
"dateTo": "2026-04-07T22:26:14.4610165+08:00",
"isAsOf": true,
"isMonthly": true,
"isGross": true,
"isNet": true,
"outputToScreen": true,
"outputToPrinter": true,
"userId": 1
}
application/xml, text/xml
Sample:
<TrialBalancePerBookRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <DateFrom>2026-04-07T22:26:14.4610165+08:00</DateFrom> <DateTo>2026-04-07T22:26:14.4610165+08:00</DateTo> <IsAsOf>true</IsAsOf> <IsGross>true</IsGross> <IsMonthly>true</IsMonthly> <IsNet>true</IsNet> <OutputToPrinter>true</OutputToPrinter> <OutputToScreen>true</OutputToScreen> <UserId>1</UserId> </TrialBalancePerBookRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.